## Represents a level for a music audio that may contain multiple charts.
class_name Song extends Resource

var music: Music

var charts: Dictionary[StringName, Chart] = {}


func has_music() -> bool:
	return music != null and music.stream != null

func has_chart() -> bool:
	return not charts.is_empty()
